package org.rcisoft.bus.storegoodsapply.entity;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import org.rcisoft.bus.wmsgoods.entity.WmsGoods;
import org.rcisoft.core.entity.CyIdIncreEntity;

import java.math.BigDecimal;
import java.util.List;

/**
* Created with cy on 2024年5月29日 下午1:21:49.
*/
@Data
@TableName("store_goods_apply")
public class StoreGoodsApply extends CyIdIncreEntity<StoreGoodsApply> {

     /**
     * @desc 0出1入
     * @column io_type
     * @default
     */
     @Excel(name = "出入库状态", orderNum = "7", width = 20)
     private String ioType;

     /**
     * @desc 0 未出库  1 已出库
     * @column deal_status
     * @default
     */
     @Excel(name = "0 未出库  1 已出库", orderNum = "8", width = 20)
     private String dealStatus;



     /**
     * @desc 数量
     * @column goods_counts
     * @default
     */
     @Excel(name = "数量", orderNum = "10", width = 20)
     private Integer goodsCounts;

     /**
     * @desc 申请单号
     * @column app_code
     * @default
     */
     @Excel(name = "申请单号", orderNum = "11", width = 20)
     private String appCode;

     /**
     * @desc 发货方
     * @column shipper
     * @default
     */
     @Excel(name = "发货方", orderNum = "12", width = 20)
     private String shipper;

     /**
     * @desc 发货方地址
     * @column shipper_address
     * @default
     */
     @Excel(name = "发货方地址", orderNum = "13", width = 20)
     private String shipperAddress;

     /**
     * @desc 发货方联系方式
     * @column shipper_phone
     * @default
     */
     @Excel(name = "发货方联系方式", orderNum = "14", width = 20)
     private String shipperPhone;

     /**
     * @desc 0未复合1复合
     * @column goods_check
     * @default
     */
     @Excel(name = "0未复合1复合", orderNum = "15", width = 20)
     private String goodsCheck;

     /**
     * @desc 业务员

     * @column salesman
     * @default
     */
     @Excel(name = "业务员 ", orderNum = "16", width = 20)
     private String salesman;

     /**
     * @desc 制单员
     * @column maker
     * @default
     */
     @Excel(name = "制单员", orderNum = "17", width = 20)
     private String maker;
     @Excel(name = "入库", orderNum = "17", width = 20)
     private String inGoods;
     @Excel(name = "出库", orderNum = "17", width = 20)
     private String outGoods;
     private  String goodsNumber;

     /**
      * @desc 门店id
      * @column store_id
      * @default
      */
     private String storeId;
     /**
      * @desc 原价
      * @column original_price
      * @default
      */
     private BigDecimal originalPrice;

     /**
      * @desc 折扣价
      * @column discount_price
      * @default
      */
     private BigDecimal discountPrice;

     /**
      * @desc 门店价
      * @column store_price
      * @default
      */
     private BigDecimal storePrice;

     /**
      * @desc 总价
      * @column total_price
      * @default
      */
     private BigDecimal totalOutPrice;

     /**
      * @desc 销售备注
      * @column sales_categories
      * @default
      */
     private String salesCategories;
     /**
      * @desc 是否退货
      * @column is_return
      * @default
      */
     private String isReturn;

     /**
      * 门店名称
      */
     @TableField(exist = false)
     private String storeName;

     @TableField(exist = false)
     List<WmsGoods> storeGoods;

}

