package org.rcisoft.bus.storegoodslog.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import org.rcisoft.core.entity.CyIdIncreEntity;

import java.math.BigDecimal;

/**
* Created with cy on 2024年5月29日 下午1:21:49.
*/
@Data
@TableName("store_goods_log")
public class StoreGoodsLog extends CyIdIncreEntity<StoreGoodsLog> {

     private String ioType;
     private String goodsName;
     private String goodsCode;
     private Integer applyId;
     private Integer goodsCounts;
     private Integer updateCounts;
     private Integer goodsId;

     @TableField(exist = false)
     private String appCode;

     @TableField(exist = false)
     private String storeName;

     @TableField(exist = false)
     private String storeId;

     /**
      * @desc 原价
      * @column original_price
      * @default
      */
     private BigDecimal originalPrice;

     /**
      * @desc 折扣价
      * @column discount_price
      * @default
      */
     private BigDecimal discountPrice;

     /**
      * @desc 门店价
      * @column store_price
      * @default
      */
     private BigDecimal storePrice;

     /**
      * @desc 总价
      * @column total_price
      * @default
      */
     private BigDecimal totalPrice;

     private String isReturn;
}

