package org.rcisoft.bus.storegoodslog.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.rcisoft.bus.storegoodsapply.entity.StoreGoodsApply;
import org.rcisoft.bus.storegoodslog.entity.StoreGoodsLog;
import org.rcisoft.core.model.CyPageInfo;
import org.rcisoft.core.model.CyPersistModel;

import java.util.List;

/**
 * Created by cy on 2024年5月29日 下午1:21:49.
 */
public interface StoreGoodsLogService {

    /**
    * 保存 商品记录表
    * @param storeGoodsLog
    * @return
    */
    CyPersistModel persist(StoreGoodsLog storeGoodsLog);

    /**
    * 删除 商品记录表
    * @param storeGoodsLog
    * @return
    */
    CyPersistModel remove(StoreGoodsLog storeGoodsLog);

    /**
    * 逻辑删除 商品记录表
    * @param storeGoodsLog
    * @return
    */
    CyPersistModel removeLogical(StoreGoodsLog storeGoodsLog);

    /**
    * 修改 商品记录表
    * @param storeGoodsLog
    * @return
    */
    CyPersistModel merge(StoreGoodsLog storeGoodsLog);

    /**
    * 根据id查询 商品记录表
    * @param id
    * @return
    */
    StoreGoodsLog findById(int id);

    /**
    * 分页查询 商品记录表
    * @param storeGoodsLog
    * @return
    */
    IPage<StoreGoodsLog> findAllByPagination(CyPageInfo<StoreGoodsLog> paginationUtility,
                                             StoreGoodsLog storeGoodsLog);


    /**
    * 查询list 商品记录表
    * @param storeGoodsLog
    * @return
    */
    List<StoreGoodsLog> findAll(StoreGoodsLog storeGoodsLog);


    /**
    * 导出商品记录表
    * @return
    */
    List<StoreGoodsLog> export(StoreGoodsLog storeGoodsLog);

    CyPersistModel batchPersist(List<StoreGoodsLog> addLogList);

    /**
     * 修改 商品记录表
     * @param storeGoodsLog
     * @return
     */
    CyPersistModel updateStatus(StoreGoodsApply storeGoodsLog);
}
