package org.rcisoft.bus.wmsgoodsprice.entity;
import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnore;
import lombok.*;

import org.rcisoft.core.entity.CyIdIncreEntity;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.math.BigInteger;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
* Created with cy on 2024年12月12日 下午4:27:44.
*/
@Data
@TableName("wms_goods_price")
public class WmsGoodsPrice  extends CyIdIncreEntity<WmsGoodsPrice> {


     /**
     * @desc 货号
     * @column goods_art_number
     * @default 
     */
     @Excel(name = "货号", orderNum = "0", width = 20)
     private String goodsArtNumber;

     /**
     * @desc 原价
     * @column original_price
     * @default 
     */
     @Excel(name = "原价", orderNum = "1", width = 20)
     private BigDecimal originalPrice;

     /**
     * @desc 折扣价
     * @column discount_price
     * @default 
     */
     @Excel(name = "折扣价", orderNum = "2", width = 20)
     private BigDecimal discountPrice;

     /**
     * @desc 门店价
     * @column store_price
     * @default 
     */
     @Excel(name = "门店价", orderNum = "3", width = 20)
     private BigDecimal storePrice;

     /**
     * 开始时间
     */
     @JsonIgnore
     @TableField(exist = false)
     private String beginTime;

     /**
     * 结束时间
     */
     @JsonIgnore
     @TableField(exist = false)
     private String endTime;

     /**
      * 修改人名称
      */
     @TableField(exist = false)
     private String updateName;

}

